$(function () {

    //查询
    $("#serach_Btn").click(function () {
        var para = "";
        if ($("#s_jobid").val() != "0") para += "&jobid=" + $("#s_jobid").val();
        if ($("#s_realname").val() != "") para += "&realname=" + $("#s_realname").val();
        location.href = $(this).attr("href") + para;
        return false;
    })
    //删除职位
    $("a[rel='del']").click(function () {
        var $delObject = $(this);
        if (confirm("确定要删除 [ " + $delObject.attr("title") + " ] 的简历吗？")) {
            $.ajax({
                type: "POST",
                url: "Ajax/Job.ashx",
                data: { 'com': 'deljobengage', 'jid': $delObject.attr("href"), 'realname': $delObject.attr("title"), 'picfile': $delObject.attr("rev") },
                datatype: "json",
                beforeSend: function (data, textStatus) {
                    showMsg("[ " + $delObject.attr("title") + " ] 正在删除中 ", true);
                },
                success: function (data, textStatus) {
                    if (data == "1") {
                        $delObject.parent().parent("tr").remove();
                    } else {
                        alert("删除失败!");
                    }
                    showMsg("", false);
                },
                error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
            })
        }
        return false;
    });
});